Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Superset of Druid can't be started in HDP 2.6.0.3

Solved Go to solution

Superset of Druid can't be started in HDP 2.6.0.3

New Contributor

Hi guys,

I have encountered a problem about Superset of Druid. I have installed HDP2.6.0.3 and Ambari 2.5.0.3, and added the service Druid ,but the sub-service Superset of Druid is not able to be started .

the error log is blow:

Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py", line 169, in <module>
    Superset().execute()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 314, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py", line 108, in start
    self.configure(env, upgrade_type=upgrade_type)
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 117, in locking_configure
    original_configure(obj, *args, **kw)
  File "/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py", line 84, in configure
    user=params.druid_user)
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 155, in __init__
    self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 160, in run
    self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 124, in run_action
    provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line 262, in action_run
    tries=self.resource.tries, try_sleep=self.resource.try_sleep)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 72, in inner
    result = function(command, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 102, in checked_call
    tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 150, in _call_wrapper
    result = _call(command, **kwargs_copy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in _call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of 'source /etc/superset/conf/superset-env.sh ; /usr/hdp/current/druid-superset/bin/superset db upgrade' returned 1. /usr/hdp/2.6.0.3-8/superset/lib/python3.4/importlib/_bootstrap.py:1161: ExtDeprecationWarning: Importing flask.ext.sqlalchemy is deprecated, use flask_sqlalchemy instead.
  spec.loader.load_module(spec.name)
/usr/hdp/2.6.0.3-8/superset/lib/python3.4/importlib/_bootstrap.py:1161: ExtDeprecationWarning: Importing flask.ext.script is deprecated, use flask_script instead.
  spec.loader.load_module(spec.name)
Loaded your LOCAL configuration
Traceback (most recent call last):
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/dialects/sqlite/pysqlite.py", line 337, in dbapi
    from sqlite3 import dbapi2 as sqlite  # try 2.5+ stdlib name.
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/sqlite3/__init__.py", line 23, in <module>
    from sqlite3.dbapi2 import *
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/sqlite3/dbapi2.py", line 27, in <module>
    from _sqlite3 import *
ImportError: No module named '_sqlite3'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/hdp/current/druid-superset/bin/superset", line 84, in <module>
    from superset.cli import manager
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/superset/__init__.py", line 36, in <module>
    utils.pessimistic_connection_handling(db.engine.pool)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 816, in engine
    return self.get_engine(self.get_app())
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 833, in get_engine
    return connector.get_engine()
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 499, in get_engine
    self._engine = rv = sqlalchemy.create_engine(info, **options)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/engine/__init__.py", line 387, in create_engine
    return strategy.create(*args, **kwargs)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/engine/strategies.py", line 80, in create
    dbapi = dialect_cls.dbapi(**dbapi_args)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/dialects/sqlite/pysqlite.py", line 339, in dbapi
    raise e
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/dialects/sqlite/pysqlite.py", line 334, in dbapi
    from pysqlite2 import dbapi2 as sqlite
ImportError: No module named 'pysqlite2'

my os is centos 7.X

Please help me check this problem, and give me some suggestions!

Thx

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Superset of Druid can't be started in HDP 2.6.0.3

Expert Contributor

this is a copy past of response

Answer by Nishant Bangarwa Apr 14 at 09:30 PM

Thanks for reporting this. seems like an issue with the packaging on Centos7. We are working on fixing it.

In the meantime, can you try with changing the superset database type to 'mysql' or 'postgresql' ?

I verified that it works with mysql.

16 REPLIES 16

Re: Superset of Druid can't be started in HDP 2.6.0.3

Master Collaborator

This is a known issue, see more on how to get around here.

https://community.hortonworks.com/questions/96619/druid-superset-wont-start-on-hdp-26.html

Re: Superset of Druid can't be started in HDP 2.6.0.3

New Contributor

I can not have access to open the link even create account on hortonworks community? And more action need to do?

Re: Superset of Druid can't be started in HDP 2.6.0.3

New Contributor

There is no access permissions to this url for me. Is there any other suggestions?

Re: Superset of Druid can't be started in HDP 2.6.0.3

New Contributor

Could you paste the important step on this page so I can see it? Thanks in advance!

Re: Superset of Druid can't be started in HDP 2.6.0.3

Master Collaborator

Set the Superset database type to 'mysql' or 'postgresql'.

Re: Superset of Druid can't be started in HDP 2.6.0.3

Even after changing the database to 'mysql' or 'postgresql' have not start Druid Superset service successfully and error message is below:-

Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py", line 169, in <module>
    Superset().execute()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 314, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py", line 108, in start
    self.configure(env, upgrade_type=upgrade_type)
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 117, in locking_configure
    original_configure(obj, *args, **kw)
  File "/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py", line 84, in configure
    user=params.druid_user)
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 155, in __init__
    self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 160, in run
    self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 124, in run_action
    provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line 262, in action_run
    tries=self.resource.tries, try_sleep=self.resource.try_sleep)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 72, in inner
    result = function(command, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 102, in checked_call
    tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 150, in _call_wrapper
    result = _call(command, **kwargs_copy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in _call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of 'source /etc/superset/conf/superset-env.sh ; /usr/hdp/current/druid-superset/bin/superset db upgrade' returned 1. /usr/hdp/current/druid-superset/lib/python3.4/importlib/_bootstrap.py:1161: ExtDeprecationWarning: Importing flask.ext.sqlalchemy is deprecated, use flask_sqlalchemy instead.
  spec.loader.load_module(spec.name)
/usr/hdp/current/druid-superset/lib/python3.4/importlib/_bootstrap.py:1161: ExtDeprecationWarning: Importing flask.ext.script is deprecated, use flask_script instead.
  spec.loader.load_module(spec.name)
Loaded your LOCAL configuration
Traceback (most recent call last):
  File "/usr/hdp/current/druid-superset/bin/superset", line 84, in <module>
    from superset.cli import manager
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/superset/__init__.py", line 36, in <module>
    utils.pessimistic_connection_handling(db.engine.pool)
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 816, in engine
    return self.get_engine(self.get_app())
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 833, in get_engine
    return connector.get_engine()
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 493, in get_engine
    info = make_url(uri)
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/sqlalchemy/engine/url.py", line 194, in make_url
    return _parse_rfc1738_args(name_or_url)
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/sqlalchemy/engine/url.py", line 240, in _parse_rfc1738_args
    return URL(name, **components)
  File "/usr/hdp/current/druid-superset/lib/python3.4/site-packages/sqlalchemy/engine/url.py", line 60, in __init__
    self.port = int(port)
ValueError: invalid literal for int() with base 10: ''

Re: Superset of Druid can't be started in HDP 2.6.0.3

New Contributor

Even after changing the Superset Database type=MYSQL and Database hostname to the MySQL host, Druid superset is start failed with the below:

resource_management.core.exceptions.ExecutionFailed: Execution of 'source /etc/superset/conf/superset-env.sh ; /usr/hdp/current/druid-superset/bin/superset db upgrade' returned 1. /usr/hdp/2.6.0.3-8/superset/lib/python3.4/importlib/_bootstrap.py:1161: ExtDeprecationWarning: Importing flask.ext.sqlalchemy is deprecated, use flask_sqlalchemy instead.
  spec.loader.load_module(spec.name)
/usr/hdp/2.6.0.3-8/superset/lib/python3.4/importlib/_bootstrap.py:1161: ExtDeprecationWarning: Importing flask.ext.script is deprecated, use flask_script instead.
  spec.loader.load_module(spec.name)
Loaded your LOCAL configuration
Traceback (most recent call last):
  File "/usr/hdp/current/druid-superset/bin/superset", line 84, in <module>
    from superset.cli import manager
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/superset/__init__.py", line 36, in <module>
    utils.pessimistic_connection_handling(db.engine.pool)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 816, in engine
    return self.get_engine(self.get_app())
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 833, in get_engine
    return connector.get_engine()
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/flask_sqlalchemy/__init__.py", line 493, in get_engine
    info = make_url(uri)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/engine/url.py", line 194, in make_url
    return _parse_rfc1738_args(name_or_url)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/engine/url.py", line 240, in _parse_rfc1738_args
    return URL(name, **components)
  File "/usr/hdp/2.6.0.3-8/superset/lib/python3.4/site-packages/sqlalchemy/engine/url.py", line 60, in __init__
    self.port = int(port)
ValueError: invalid literal for int() with base 10: ''

Re: Superset of Druid can't be started in HDP 2.6.0.3

New Contributor

FYI, Druid Superset start failed issue is occurred on x86_64 rhel7.x but not ppc64le rhel7.x.

Highlighted

Re: Superset of Druid can't be started in HDP 2.6.0.3

Me too unable to open given link for solution!!!!!

https://community.hortonworks.com/questions/96619/druid-superset-wont-start-on-hdp-26.html

Access Denied

We're sorry, but you do not have permission to do the activity you attempted. If you believe this to be in error, please contact the site administrator(s).